from fastapi.testclient import TestClient

from sms_handler.server import app

client = TestClient(app)


def test_handle_sms():
    with TestClient(app) as client:
        response = client.post(
            "/handle-sms",
            json={
                "text": "Hello!",
                "from": "12345678",
                "sentStamp": "1234",
                "receivedStamp": "1235",
                "sim": "1",
            },
        )
        assert response.status_code == 200
        assert response.json() == "OK"


def test_handle_sms_with_fromName():
    with TestClient(app) as client:
        response = client.post(
            "/handle-sms",
            json={
                "text": "Hello!",
                "from": "12345678",
                "fromName": "foobar",
                "sentStamp": "1234",
                "receivedStamp": "1235",
                "sim": "2",
            },
        )
        assert response.status_code == 200
        assert response.json() == "OK"
